MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029398Open CASCADE[OCCT] OCCT:Configurationpublic2017-12-21 18:212018-01-11 11:10
Reporterabv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.2.1Fixed in Version 
Summary0029398: Configuration - list lex and yacc files in the StepFile/FILES to avoid CMake warnings
DescriptionGeneration of OCCT projects with CMake yields warnings indicating that two files in the StepFile package are not listed in the FILES file, like this:

-- Warning. File .../src/StepFile/step.lex is not listed in .../src/StepFile/FILES
-- Warning. File .../src/StepFile/step.yacc is not listed in .../src/StepFile/FILES

Actually this has been fixed long time ago by 0027041, but then restored by the fix for #27045, as "Temporary update for backward compatibility with WOK". Now WOK is out of use, thus it is the time to fix this.
Steps To ReproduceNot required
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
related to 0027041closedabv Open CASCADE CMake - CLang 3.6.2 fails to link DRAWEXE on Ubuntu 15.10 

-  Notes
(0073081)
git (administrator)
2017-12-22 10:43

Branch CR29398 has been created by inv.

SHA-1: 2e473bb0492995ae64f0de5b030b8fb72275ed78


Detailed log of new commits:

Author: bugmaster
Date: Fri Dec 22 10:31:15 2017 +0300

    0029398: Configuration - list lex and yacc files in the StepFile/FILES to avoid CMake warnings
    
    Adding step.lex and step.yacc to StepFile/FILES
(0073082)
bugmaster (administrator)
2017-12-22 10:56

Please revise
Results of compilation:
http://jenkins-test-10.nnov.opencascade.com/view/CR29398-master/view/OCCT%20compile/ [^]
(0073087)
abv (manager)
2017-12-22 11:51

No remarks, please integrate
(0073333)
git (administrator)
2018-01-11 11:10

Branch CR29398 has been deleted by kgv.

SHA-1: 2e473bb0492995ae64f0de5b030b8fb72275ed78

- Related Changesets
occt: master 2e473bb0
Timestamp: 2017-12-22 07:31:15
Author: bugmaster
Details ] Diff ]
0029398: Configuration - list lex and yacc files in the StepFile/FILES to avoid CMake warnings

Adding step.lex and step.yacc to StepFile/FILES
mod - src/StepFile/FILES Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-12-21 18:21 abv New Issue
2017-12-21 18:21 abv Assigned To => bugmaster
2017-12-21 18:21 abv Relationship added child of 0027045
2017-12-21 18:21 abv Relationship added related to 0027041
2017-12-22 10:43 git Note Added: 0073081
2017-12-22 10:56 bugmaster Note Added: 0073082
2017-12-22 10:56 bugmaster Assigned To bugmaster => abv
2017-12-22 10:56 bugmaster Status new => resolved
2017-12-22 10:56 bugmaster Steps to Reproduce Updated View Revisions
2017-12-22 11:51 abv Note Added: 0073087
2017-12-22 11:51 abv Assigned To abv => bugmaster
2017-12-22 11:51 abv Status resolved => reviewed
2017-12-22 12:28 bugmaster Status reviewed => tested
2017-12-23 12:07 bugmaster Changeset attached => occt master 2e473bb0
2017-12-23 12:07 bugmaster Status tested => verified
2017-12-23 12:07 bugmaster Resolution open => fixed
2018-01-10 15:44 bugmaster Test case number => Not required
2018-01-11 11:10 git Note Added: 0073333


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker